aboutsummaryrefslogtreecommitdiff
path: root/cmake
diff options
context:
space:
mode:
authordec05eba <dec05eba@protonmail.com>2018-09-23 12:22:37 +0200
committerdec05eba <dec05eba@protonmail.com>2020-07-06 07:39:33 +0200
commit5006226e945fc645e6d9b21252c9eee53cc191cc (patch)
tree94371016233562351d70fb3b9ff312c6dacd9bb4 /cmake
parent8fdc481d78a0426f6dbf235e872c3798ec57251e (diff)
Fix various things, add generated zig header files to global include
Fix compile_commands.json missing build steps. Fix c includes -> zig includes flags. Fix crash when running sibs new/init without defining lang. Add generated zig header files to global include so they can be used from c/c++. Add zig and zig/c (using zig and c in the same project) examples.
Diffstat (limited to 'cmake')
-rwxr-xr-xcmake/build_debug.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/cmake/build_debug.sh b/cmake/build_debug.sh
new file mode 100755
index 0000000..45dceeb
--- /dev/null
+++ b/cmake/build_debug.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+set -e
+
+scriptpath="$(dirname "$0")"
+mkdir -p "$scriptpath/build/debug"
+cd "$scriptpath/build/debug"
+cmake -G Ninja -DCMAKE_BUILD_TYPE=Debug ../../../
+ninja
+echo "Debug build success"